---
title: initial-letter-align
slug: Web/CSS/initial-letter-align
tags:
  - Align
  - CSS
  - CSS Inline
  - CSS Property
  - Experimental
  - Graphics
  - Layout
  - NeedsL
  - Reference
  - Web
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>initial-letter-align</code></strong> CSS property specifies the alignment of initial letters within a paragraph.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
initial-letter-align: auto;
initial-letter-align: alphabetic;
initial-letter-align: hanging;
initial-letter-align: ideographic;

/* Global values */
initial-letter-align: inherit;
initial-letter-align: initial;
initial-letter-align: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>One of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The user agent selects the value which corresponds to the language of the text. Western languages would default to alphabetic, CJK languages to ideographic, and some Indic languages to hanging.</dd>
 <dt><code>alphabetic</code></dt>
 <dd>As described above, the cap height of the initial letter aligns with the cap height of the first line of text. The baseline of the initial letter aligns with the baseline of the Nth text baseline.</dd>
 <dt><code>hanging</code></dt>
 <dd>The hanging baseline of the initial letter aligns with the hanging baseline of the first line of text.</dd>
 <dt><code>ideographic</code></dt>
 <dd>The initial letter is centered in the N-line area.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Aligning_initial_letter">Aligning initial letter</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="auto "&gt;Initial letter - auto&lt;/p&gt;
&lt;p class="alphabetic"&gt;Initial letter - alphabetic&lt;/p&gt;
&lt;p class="hanging"&gt;Initial letter - hanging&lt;/p&gt;
&lt;p class="ideographic"&gt;Initial letter - ideographic&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.auto {
  -webkit-initial-letter-align: auto;
  initial-letter-align: auto;
}

.alphabetic {
  -webkit-initial-letter-align: alphabetic;
  initial-letter-align: alphabetic;
}

.hanging {
  -webkit-initial-letter-align: hanging;
  initial-letter-align: hanging;
}

.ideographic {
  -webkit-initial-letter-align: ideographic;
  initial-letter-align: ideographic;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Aligning_initial_letter')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Inline', '#aligning-initial-letter', 'initial-letter-align')}}</td>
   <td>{{Spec2('CSS3 Inline')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.initial-letter-align")}}</p>

<ul>
  <li>{{cssxref("initial-letter")}}</li>
  <li><a href="https://www.oddbird.net/2017/01/03/initial-letter/">Drop caps in CSS</a></li>
</ul>
